Summary:	Hash-based Predictive Lempel-Ziv compressor
Summary(pl.UTF-8):	Kompresor wykorzystujący metodę Lempel-Ziv z predykcją opartą na haszach
Name:		lz4
Version:	1.7.4.2
Release:	1
Epoch:		1
License:	BSD (library), GPL v2+ (CLI utility)
Group:		Applications
Source0:	https://github.com/lz4/lz4/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c8a1e198555fb0650448e498b7614ae5
URL:		http://www.lz4.org/
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZ4 is a very fast compressor, based on well-known LZ77 (Lempel-Ziv)
algorithm. It is a LZP2 fork and provides better compression ratio for
text files.

%description -l pl.UTF-8
LZ4 to bardzo szybki kompresor, oparty na dobrze znanym algorytmie
LZ77 (Lempel-Ziv). Jest to odgałęzienie LZP2, zapewniające lepszy
współczynnik kompresji dla plików tekstowych.

%package libs
Summary:	LZ4 library
Summary(pl.UTF-8):	Biblioteka LZ4
License:	BSD
Group:		Libraries
Conflicts:	lz4 < 0.0-1.r121.3

%description libs
LZ4 library.

%description libs -l pl.UTF_8
Biblioteka LZ4.

%package devel
Summary:	Development files for the LZ4 compressor
Summary(pl.UTF-8):	Pliki programistyczne kompresora LZ4
License:	BSD
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description devel
LZ4 is a very fast compressor, based on well-known LZ77 (Lempel-Ziv)
algorithm. It is a LZP2 fork and provides better compression ratio for
text files.

This subpackage contains the header files for developing applications
that want to make use of liblz4.

%description devel -l pl.UTF-8
LZ4 to bardzo szybki kompresor, oparty na dobrze znanym algorytmie
LZ77 (Lempel-Ziv). Jest to odgałęzienie LZP2, zapewniające lepszy
współczynnik kompresji dla plików tekstowych.

Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących liblz4.

%package static
Summary:	Static LZ4 compressor library
Summary(pl.UTF-8):	Statyczna biblioteka kompresora LZ4
License:	BSD
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static LZ4 compressor library.

%description static -l pl.UTF-8
Statyczna biblioteka kompresora LZ4.

%prep
%setup -q

%build
%{__make} -j1 \
	MOREFLAGS="%{rpmcflags} %{rpmcppflags}" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir} \
	INCLUDEDIR=%{_includedir}/lz4 \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT \

install -d $RPM_BUILD_ROOT/%{_lib}
mv $RPM_BUILD_ROOT%{_libdir}/liblz4.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/liblz4.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/liblz4.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md NEWS
%attr(755,root,root) %{_bindir}/lz4
%attr(755,root,root) %{_bindir}/lz4c
%attr(755,root,root) %{_bindir}/lz4cat
%attr(755,root,root) %{_bindir}/unlz4
%{_mandir}/man1/lz4.1*
%{_mandir}/man1/lz4c.1*
%{_mandir}/man1/lz4cat.1*
%{_mandir}/man1/unlz4.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/liblz4.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/liblz4.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblz4.so
%dir %{_includedir}/lz4
%{_includedir}/lz4/lz4.h
%{_includedir}/lz4/lz4hc.h
%{_includedir}/lz4/lz4frame.h
%{_pkgconfigdir}/liblz4.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblz4.a
%changelog
* Wed Dec 14 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lz4.git;a=log;h=master

* Mon Dec 12 2016 Elan Ruusamäe <glen@delfi.ee> 3eeb7ae
- epoch 1 to handle upgrades

* Mon Dec 12 2016 Elan Ruusamäe <glen@delfi.ee> c3b7583
- install headers to lz4 subdir

* Mon Dec 12 2016 Elan Ruusamäe <glen@delfi.ee> 6dd5117
- up to 1.7.4.2

* Sun Nov 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 17feb2b
- added nom32 patch: don't build m32 variants in all target

* Sat Oct 29 2016 Jan Rękorajski <baggins@pld-linux.org> a1bd698
- move library to /lib for syslog-ng
- rel 5

* Wed Oct 05 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> a65ca27
- BR: gcc-multilib-32 on x86_64

* Sun Dec 27 2015 Jan Rękorajski <baggins@pld-linux.org> f667998
- restore old version in C in libs
- add R libs to main package
- rel 4

* Sun Dec 27 2015 Jan Rękorajski <baggins@pld-linux.org> 7b7664a
- fix C in libs package
- rel 3

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 87247bb
- release 2 (by relup.sh)

* Tue Sep 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 18fe31b
- pl for -libs, License for -devel and -static

* Tue Sep 08 2015 Elan Ruusamäe <glen@delfi.ee> 39c841a
- update url

* Tue Sep 08 2015 Elan Ruusamäe <glen@delfi.ee> 2c2bc57
- cleanups

* Tue Sep 08 2015 Elan Ruusamäe <glen@delfi.ee> 97cceda
- fix make callout so that programs are compiled in build stage

* Tue Sep 08 2015 Elan Ruusamäe <glen@delfi.ee> f200375
- up to r131

* Tue Sep 08 2015 Elan Ruusamäe <glen@delfi.ee> 046bf77
- add libs subpackage

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 65a8b86
- x32 rebuild
- release 2 (by relup.sh)

* Thu Aug 21 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c70e40c
- up to r121

* Tue Aug 05 2014 Elan Ruusamäe <glen@delfi.ee> d6edfe4
- up to r120

* Mon Oct 21 2013 Elan Ruusamäe <glen@delfi.ee> 5f9bb63
- up to r107

* Sat Oct 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 8518f84
- pl, unified

